edu.northwestern.at.morphadorner.corpuslinguistics.postagger

## Class PartOfSpeechTaggerFactory

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.PartOfSpeechTaggerFactory

-     public class PartOfSpeechTaggerFactory
      extends java.lang.Object

  PartOfSpeechTagger factory.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map<java.lang.String,java.lang.String>` | `taggerClassMap` Map from short to full class names for built-in taggers.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartOfSpeechTaggerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartOfSpeechTagger` | `newPartOfSpeechTagger()` Get a partOfSpeechTagger.
    `static PartOfSpeechTagger` | `newPartOfSpeechTagger(java.lang.String className)` Get a partOfSpeechTagger of a specified class name.
    `static PartOfSpeechTagger` | `newPartOfSpeechTagger(UTF8Properties properties)` Get a partOfSpeechTagger.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taggerClassMap

          protected static java.util.Map<java.lang.String,java.lang.String> taggerClassMap

      Map from short to full class names for built-in taggers.

  - ### Constructor Detail

    - #### PartOfSpeechTaggerFactory

          public PartOfSpeechTaggerFactory()

  - ### Method Detail

    - #### newPartOfSpeechTagger

          public static PartOfSpeechTagger newPartOfSpeechTagger()

      Get a partOfSpeechTagger.
      Returns:
        The partOfSpeechTagger.

    - #### newPartOfSpeechTagger

          public static PartOfSpeechTagger newPartOfSpeechTagger(UTF8Properties properties)

      Get a partOfSpeechTagger.
      Parameters:
        `properties` - MorphAdorner properties.
      Returns:
        The partOfSpeechTagger.

    - #### newPartOfSpeechTagger

          public static PartOfSpeechTagger newPartOfSpeechTagger(java.lang.String className)

      Get a partOfSpeechTagger of a specified class name.
      Parameters:
        `className` - Class name for the partOfSpeechTagger.
      Returns:
        The partOfSpeechTagger.